ApiHdfsSnapshotPolicyArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHdfsSnapshotPolicyArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsSnapshotPolicyArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHdfsSnapshotPolicyArguments
      extends Object

  HDFS specific snapshot policy arguments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsSnapshotPolicyArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsSnapshotPolicyArguments` | `addPathPatternsItem(String pathPatternsItem)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getPathPatterns()` The path patterns specifying the paths.
    `int` | `hashCode()`
    `ApiHdfsSnapshotPolicyArguments` | `pathPatterns(List<String> pathPatterns)`
    `void` | `setPathPatterns(List<String> pathPatterns)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsSnapshotPolicyArguments

          public ApiHdfsSnapshotPolicyArguments()

  - ### Method Detail

    - #### pathPatterns

          public ApiHdfsSnapshotPolicyArguments pathPatterns(List<String> pathPatterns)

    - #### addPathPatternsItem

          public ApiHdfsSnapshotPolicyArguments addPathPatternsItem(String pathPatternsItem)

    - #### getPathPatterns

          public List<String> getPathPatterns()

      The path patterns specifying the paths. Paths matching any of them will be eligible for snapshot creation. <p/> The pattern matching characters that can be specific are those supported by HDFS. please see the documentation for HDFS globs for more details.
      Returns:
        pathPatterns

    - #### setPathPatterns

          public void setPathPatterns(List<String> pathPatterns)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.